Bug 1252812 - Review Request: python-gabbi - Declarative HTTP testing library
Review Request: python-gabbi - Declarative HTTP testing library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Javier Peña
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-08-12 05:38 EDT by Chandan Kumar
Modified: 2016-05-16 12:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 12:25:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpena: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Chandan Kumar 2015-08-12 05:38:40 EDT
Spec URL: https://chandankumar.fedorapeople.org/python-gabbi.spec

SRPM URL: https://chandankumar.fedorapeople.org/python-gabbi-1.3.0-1.fc22.src.rpm

Description: Gabbi is a tool for running HTTP tests where requests and responses
are represented in a declarative YAML-based form.

Fedora Account System Username: chandankumar

Successful Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10678999
Comment 1 Matthias Runge 2015-08-12 16:13:33 EDT
Thank you for your review request. Please add a python3 package. Upstream also includes tests, please execute them as well during build.
Comment 2 bigswitch 2015-08-26 17:08:42 EDT
Hi Chandan,

Latest version on pypi is 1.5.1. The spec file should be pointing to that version, right?
Comment 3 bigswitch 2015-09-01 01:14:25 EDT
1. URL should point to package pypi page
2. Do you need to disable pbr version determination mechanism on build? For example,
https://github.com/openstack-packages/neutron/blob/4bc2d731766a50fb0d6733bbd8e0a2bde1f4a187/openstack-neutron.spec#L443
Comment 4 Ryan Brown 2015-09-04 15:56:43 EDT
Hi, here's an updated spec/srpm:

http://rsb.io/pkg/python-gabbi.spec
http://rsb.io/pkg/python-gabbi-1.6.1-1.fc22.src.rpm

I don't think the PBR mechanism needs disabling, but I'm not certain. I know you can add a patch that disables PBR entirely as a runtime dep, but I don't think it's required.
Comment 5 Chandan Kumar 2015-09-30 08:28:31 EDT
Hello Ryan,

Sorry for the late reply.

Here is the updated
SPEC: https://chandankumar.fedorapeople.org/python-gabbi.spec
SRPM: https://chandankumar.fedorapeople.org/python-gabbi-1.7.0-1.fc22.src.rpm

Thanks,

Chandan Kumar
Comment 6 Ryan Brown 2015-09-30 10:24:47 EDT
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 4 files have unknown license. Detailed output of licensecheck
     in /tmp/review/python-gabbi/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.

There are no "Requires:" for any of the packages, which is likely a mistake as
I know gabbi needs jsonpath. wsgi_intercept, etc to run. Please add runtime
deps.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).

See above

[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-gabbi , python3-gabbi , python-gabbi-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.

I was only able to build this package against f24 rawhide, the
"python-wsgi_intercept" did not install on f22 or f23.

[!]: %check is present and all tests pass.

There is no %check section

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-gabbi-1.7.0-1.fc24.noarch.rpm
          python3-gabbi-1.7.0-1.fc24.noarch.rpm
          python-gabbi-doc-1.7.0-1.fc24.noarch.rpm
          python-gabbi-1.7.0-1.fc24.src.rpm
python2-gabbi.noarch: W: no-manual-page-for-binary gabbi-run
python3-gabbi.noarch: W: no-manual-page-for-binary gabbi-run
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python3-gabbi.noarch: W: no-manual-page-for-binary gabbi-run
python2-gabbi.noarch: W: no-manual-page-for-binary gabbi-run
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python3-gabbi (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)

python-gabbi-doc (rpmlib, GLIBC filtered):
    python2-gabbi

python2-gabbi (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)



Provides
--------
python3-gabbi:
    python3-gabbi

python-gabbi-doc:
    python-gabbi-doc

python2-gabbi:
    python-gabbi
    python2-gabbi



Source checksums
----------------
https://pypi.python.org/packages/source/g/gabbi/gabbi-1.7.0.tar.gz :
  CHECKSUM(SHA256) this package     : 917258f3a32f199db4670fb11d9f2609fc6110e27fd9f6dd548d733f29bd6525
  CHECKSUM(SHA256) upstream package : 917258f3a32f199db4670fb11d9f2609fc6110e27fd9f6dd548d733f29bd6525


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review --rpm-spec --name python-gabbi-1.7.0-1.fc24.src.rpm -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Telles Nobrega 2015-11-23 17:26:47 EST
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Dist tag is present.
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/openstack-ironic-python-
  agent
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 24 files have unknown license. Detailed output of
     licensecheck in /home/tenobreg/review-packages/1257329-openstack-
     ironic-python-agent/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -ironic-python-agent , python2-ironic-python-agent-doc
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
Start: cleaning yum metadata
Finish: cleaning yum metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/tenobreg/review-packages/1257329-openstack-ironic-python-agent/results/openstack-ironic-python-agent-0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841.noarch.rpm /home/tenobreg/review-packages/1257329-openstack-ironic-python-agent/results/python2-ironic-python-agent-0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841.noarch.rpm /home/tenobreg/review-packages/1257329-openstack-ironic-python-agent/results/python2-ironic-python-agent-doc-0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/yum-deprecated --installroot /var/lib/mock/fedora-22-x86_64/root/ --releasever 22 install /home/tenobreg/review-packages/1257329-openstack-ironic-python-agent/results/openstack-ironic-python-agent-0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841.noarch.rpm /home/tenobreg/review-packages/1257329-openstack-ironic-python-agent/results/python2-ironic-python-agent-0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841.noarch.rpm /home/tenobreg/review-packages/1257329-openstack-ironic-python-agent/results/python2-ironic-python-agent-doc-0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: openstack-ironic-python-agent-0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841.noarch.rpm
          python2-ironic-python-agent-0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841.noarch.rpm
          python2-ironic-python-agent-doc-0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841.noarch.rpm
          openstack-ironic-python-agent-0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841.src.rpm
openstack-ironic-python-agent.noarch: W: spelling-error Summary(en_US) deprovisioning -> processioning
openstack-ironic-python-agent.noarch: W: spelling-error %description -l en_US ramdisk -> ram disk, ram-disk, radish
openstack-ironic-python-agent.noarch: W: spelling-error %description -l en_US unprovisioned -> unprovided
openstack-ironic-python-agent.noarch: W: spelling-error %description -l en_US pxe -> exp, pee, pie
openstack-ironic-python-agent.noarch: W: incoherent-version-in-changelog 0.1.0-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841 ['0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841', '0.1-0.1.gite6439ca1d06a50e72b97975da9b3963ba04ba841']
openstack-ironic-python-agent.noarch: W: no-manual-page-for-binary ironic-python-agent
python2-ironic-python-agent.noarch: W: summary-ended-with-dot C Python library for the ironic python agent.
python2-ironic-python-agent.noarch: W: no-documentation
python2-ironic-python-agent-doc.noarch: W: summary-ended-with-dot C Documentation for ironic python agent.
openstack-ironic-python-agent.src: W: spelling-error Summary(en_US) deprovisioning -> processioning
openstack-ironic-python-agent.src: W: spelling-error %description -l en_US ramdisk -> ram disk, ram-disk, radish
openstack-ironic-python-agent.src: W: spelling-error %description -l en_US unprovisioned -> unprovided
openstack-ironic-python-agent.src: W: spelling-error %description -l en_US pxe -> exp, pee, pie
openstack-ironic-python-agent.src:84: W: macro-in-comment %{upstream_version}
openstack-ironic-python-agent.src: W: invalid-url Source0: ironic-python-agent-0.1.0.dev731.tar.gz
4 packages and 0 specfiles checked; 0 errors, 15 warnings.




Requires
--------
python2-ironic-python-agent-doc (rpmlib, GLIBC filtered):

openstack-ironic-python-agent (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    config(openstack-ironic-python-agent)
    python-ironic-python-agent
    systemd

python2-ironic-python-agent (rpmlib, GLIBC filtered):
    python(abi)
    python-babel
    python-eventlet
    python-iso8601
    python-netifaces
    python-oslo-concurrency
    python-oslo-config
    python-oslo-i18n
    python-oslo-log
    python-oslo-serialization
    python-oslo-service
    python-oslo-utils
    python-pbr
    python-pecan
    python-pint
    python-psutil
    python-pyudev
    python-requests
    python-six
    python-stevedore
    python-wsme



Provides
--------
python2-ironic-python-agent-doc:
    python2-ironic-python-agent-doc

openstack-ironic-python-agent:
    config(openstack-ironic-python-agent)
    openstack-ironic-python-agent

python2-ironic-python-agent:
    python-ironic-python-agent
    python2-ironic-python-agent



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1257329
Buildroot used: fedora-22-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 Javier Peña 2016-05-05 10:52:57 EDT
Hi Chandan,

The spec has an issue with the "%{_bindir}/gabbi-run" executable, which is included in both the python2 and python3 subpackages, creating issues (besides the conflict, the python2 subpkg requires python3 when built).

You may want to apply a similar fix to the one in http://pkgs.fedoraproject.org/cgit/rpms/python-reno.git/tree/python-reno.spec .

Also, any reason to exclude gabbits_intercept? I don't see anything in the spec file.

Other than that, the spec looks good to me.

Javier
Comment 10 Chandan Kumar 2016-05-05 12:52:24 EDT
Hello Jpena,

Thanks for reviewing it.
Here is the updated
SPEC: https://chandankumar.fedorapeople.org/python-gabbi.spec
SRPM : https://chandankumar.fedorapeople.org/python-gabbi-1.17.5-2.fc23.src.rpm

and koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13934602

Thanks,

Chandan Kumar
Comment 11 Alfredo Moralejo 2016-05-05 13:37:27 EDT
Hi Chandan,

Another couple of comments:

- This package provides an executable file so it should provide a man page for it. Upstream package provides a man page for "gabbi" which includes help for running gabbi-run so i think it'd be nice to include it. 

- Would it be possible to add tests execution in %check?

Best regards,

Alfredo
Comment 12 Chandan Kumar 2016-05-06 04:34:01 EDT
Hello Alfredo,

Thanks for reviewing it.
* manpage added
* %checks are included
Here is the updated 
SPEC: https://chandankumar.fedorapeople.org/python-gabbi.spec
SRPM: https://chandankumar.fedorapeople.org/python-gabbi-1.17.5-3.fc23.src.rpm

and Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13944220

Thanks,

Chandan Kumar
Comment 13 Alfredo Moralejo 2016-05-06 06:14:53 EDT
Hi Chandan,

Some comments:

- About manpage, great!!
- About tests in %checks, i've seen some tests are failing because of (https://github.com/cdent/gabbi/issues/133), so i think it's ok to leave the ||

About dependencies, I think it should have a Requires on python3-urllib3.

Best regards,

Alfredo
Comment 14 Chandan Kumar 2016-05-06 13:46:36 EDT
Hello Alfredo,

Thanks for the review.

Here is the updated
SPEC: https://chandankumar.fedorapeople.org/python-gabbi.spec
SRPM: https://chandankumar.fedorapeople.org/python-gabbi-1.17.5-1.fc23.src.rpm

and koji build scratch : http://koji.fedoraproject.org/koji/taskinfo?taskID=13949960

Thanks,

Chandan Kumar
Comment 15 Alfredo Moralejo 2016-05-06 15:24:53 EDT
The spec looks good to me now. 

Best regards,

Alfredo
Comment 17 Javier Peña 2016-05-09 13:35:33 EDT
Everything looks ok now, thanks!

fedora-review is complaining that the package source cannot be downloaded from the location specified in Source0, not sure if that is an issue in pyp2rpm or something else.

The package is APPROVED, please go ahead and submit the SCM request.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 15 files have unknown license. Detailed output of
     licensecheck in /tmp/1252812-python-gabbi/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://pypi.python.org/packages/source/g/gabbi/gabbi-1.19.0.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-gabbi , python3-gabbi , python-gabbi-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-gabbi-1.19.0-1.fc25.noarch.rpm
          python3-gabbi-1.19.0-1.fc25.noarch.rpm
          python-gabbi-doc-1.19.0-1.fc25.noarch.rpm
          python-gabbi-1.19.0-1.fc25.src.rpm
python2-gabbi.noarch: E: explicit-lib-dependency python-urllib3
python2-gabbi.noarch: W: no-manual-page-for-binary python2-gabbi-run
python3-gabbi.noarch: E: explicit-lib-dependency python3-urllib3
python3-gabbi.noarch: W: no-python2-jsonpath-rw-extmanual-page-for-binary python3-gabbi-run
python3-gabbi.noarch: W: no-manual-page-for-binary gabbi-run
python-gabbi.src: W: invalid-url Source0: https://pypi.python.org/packages/source/g/gabbi/gabbi-1.19.0.tar.gz HTTP Error 404: Not Found
4 packages and 0 specfiles checked; 2 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python3-gabbi.noarch: E: explicit-lib-dependency python3-urllib3
python3-gabbi.noarch: W: no-manual-page-for-binary python3-gabbi-run
python3-gabbi.noarch: W: no-manual-page-for-binary gabbi-run
python2-gabbi.noarch: E: explicit-lib-dependency python-urllib3
python2-gabbi.noarch: W: no-manual-page-for-binary python2-gabbi-run
3 packages and 0 specfiles checked; 2 errors, 3 warnings.



Requires
--------
python3-gabbi (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-PyYAML
    python3-colorama
    python3-jsonpath-rw-ext
    python3-pbr
    python3-pytest
    python3-setuptools
    python3-six
    python3-urllib3
    python3-wsgi_intercept

python-gabbi-doc (rpmlib, GLIBC filtered):
    python2-gabbi

python2-gabbi (rpmlib, GLIBC filtered):
    /usr/bin/python2
    PyYAML
    pytest
    python(abi)
    python-colorama
    python-jsonpath-rw-ext
    python-pbr
    python-setuptools
    python-six
    python-urllib3
    python-wsgi_intercept



Provides
--------
python3-gabbi:
    python3-gabbi

python-gabbi-doc:
    python-gabbi-doc

python2-gabbi:
    python-gabbi
    python2-gabbi



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1252812 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 18 Fedora Update System 2016-05-10 11:17:37 EDT
python-gabbi-1.19.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6323cc7eb1
Comment 19 Fedora Update System 2016-05-12 05:42:42 EDT
python-gabbi-1.19.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6323cc7eb1
Comment 20 Fedora Update System 2016-05-16 12:25:41 EDT
python-gabbi-1.19.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.